include mixins

doctype html
html(lang="en")
    +head
    body.text-center
        .cover-container.d-flex.w-100.h-100.p-3.mx-auto.flex-column  
            +navbar('register')
            - var error = error
            +error(error)
            form.needs-validation.form-signin(method='POST' action='/registrar' novalidate)
                h1.h3.mb-3.font-weight-normal Registro
                label.sr-only(for='email') Email:
                input#email.form-control(type='email' name='email' placeholder='Correo electrónico' required='' value=`${email}`)
                .col-md-6.mb-3
                label.sr-only(for='username') Username:
                input#username.form-control(type='text' name='username' placeholder='Nombre de usuario' required='' value=`${username}`)
                .col-md-6.mb-3
                label.sr-only(for='inputPassword') Contraseña:
                input#inputPassword.form-control(type='password' name='password' placeholder='Contraseña' required='' value=`${password}`)
                .col-md-6.mb-3
                label.sr-only(for='inputPassword2') Confirmar contraseña:
                input#inputPassword2.form-control(type='password' name='confirmPassword' placeholder='Confirmar contraseña' value=`${confirmPassword}`)
                hr
                button.btn.btn-primary(type='submit') Registrarse

            script.
                (function() {
                    'use strict';
                    window.addEventListener('load', function() {
                        var forms = document.getElementsByClassName('needs-validation');
                        var validation = Array.prototype.filter.call(forms, function(form) {
                            form.addEventListener('submit', function(event) {
                                if (form.checkValidity() === false) {
                                    event.preventDefault();
                                    event.stopPropagation();
                                }
                                form.classList.add('was-validated');
                            }, false);
                        });
                    }, false);
                })();

        
